import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApiKeyConfig extends cdktf.TerraformMetaArguments {
    /**
    * Name for API Key.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/api_key#name ApiKey#name}
    */
    readonly name: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/datadog/r/api_key datadog_api_key}
*/
export declare class ApiKey extends cdktf.TerraformResource {
    static readonly tfResourceType = "datadog_api_key";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/datadog/r/api_key datadog_api_key} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options ApiKeyConfig
    */
    constructor(scope: Construct, id: string, config: ApiKeyConfig);
    get id(): string;
    get key(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
