import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface ApplicationKeyConfig extends cdktf.TerraformMetaArguments {
    /**
    * Name for Application Key.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/application_key#name ApplicationKey#name}
    */
    readonly name: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/datadog/r/application_key datadog_application_key}
*/
export declare class ApplicationKey extends cdktf.TerraformResource {
    static readonly tfResourceType = "datadog_application_key";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/datadog/r/application_key datadog_application_key} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options ApplicationKeyConfig
    */
    constructor(scope: Construct, id: string, config: ApplicationKeyConfig);
    get id(): string;
    get key(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
