import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DashboardListConfig extends cdktf.TerraformMetaArguments {
    /**
    * The name of the Dashboard List
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/dashboard_list#name DashboardList#name}
    */
    readonly name: string;
    /**
    * dash_item block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/dashboard_list#dash_item DashboardList#dash_item}
    */
    readonly dashItem?: DashboardListDashItem[] | cdktf.IResolvable;
}
export interface DashboardListDashItem {
    /**
    * The ID of the dashboard to add
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/dashboard_list#dash_id DashboardList#dash_id}
    */
    readonly dashId: string;
    /**
    * The type of this dashboard. Valid values are `custom_timeboard`, `custom_screenboard`, `integration_screenboard`, `integration_timeboard`, `host_timeboard`.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/dashboard_list#type DashboardList#type}
    */
    readonly type: string;
}
export declare function dashboardListDashItemToTerraform(struct?: DashboardListDashItem | cdktf.IResolvable): any;
/**
* Represents a {@link https://www.terraform.io/docs/providers/datadog/r/dashboard_list datadog_dashboard_list}
*/
export declare class DashboardList extends cdktf.TerraformResource {
    static readonly tfResourceType = "datadog_dashboard_list";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/datadog/r/dashboard_list datadog_dashboard_list} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DashboardListConfig
    */
    constructor(scope: Construct, id: string, config: DashboardListConfig);
    get id(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    private _dashItem?;
    get dashItem(): DashboardListDashItem[] | cdktf.IResolvable;
    set dashItem(value: DashboardListDashItem[] | cdktf.IResolvable);
    resetDashItem(): void;
    get dashItemInput(): cdktf.IResolvable | DashboardListDashItem[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
