import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataDatadogRoleConfig extends cdktf.TerraformMetaArguments {
    /**
    * A string on which to filter the roles.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/d/role#filter DataDatadogRole#filter}
    */
    readonly filter: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/datadog/d/role datadog_role}
*/
export declare class DataDatadogRole extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "datadog_role";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/datadog/d/role datadog_role} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataDatadogRoleConfig
    */
    constructor(scope: Construct, id: string, config: DataDatadogRoleConfig);
    private _filter?;
    get filter(): string;
    set filter(value: string);
    get filterInput(): string | undefined;
    get id(): string;
    get name(): string;
    get userCount(): number;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
