import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface IntegrationPagerdutyServiceObjectConfig extends cdktf.TerraformMetaArguments {
    /**
    * Your Service name associated service key in PagerDuty. Note: Since the Datadog API never returns service keys, it is impossible to detect [drifts](https://www.hashicorp.com/blog/detecting-and-managing-drift-with-terraform). The best way to solve a drift is to manually mark the Service Object resource with [terraform taint](https://www.terraform.io/docs/commands/taint.html) to have it destroyed and recreated.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/integration_pagerduty_service_object#service_key IntegrationPagerdutyServiceObject#service_key}
    */
    readonly serviceKey: string;
    /**
    * Your Service name in PagerDuty.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/integration_pagerduty_service_object#service_name IntegrationPagerdutyServiceObject#service_name}
    */
    readonly serviceName: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/datadog/r/integration_pagerduty_service_object datadog_integration_pagerduty_service_object}
*/
export declare class IntegrationPagerdutyServiceObject extends cdktf.TerraformResource {
    static readonly tfResourceType = "datadog_integration_pagerduty_service_object";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/datadog/r/integration_pagerduty_service_object datadog_integration_pagerduty_service_object} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options IntegrationPagerdutyServiceObjectConfig
    */
    constructor(scope: Construct, id: string, config: IntegrationPagerdutyServiceObjectConfig);
    get id(): string;
    private _serviceKey?;
    get serviceKey(): string;
    set serviceKey(value: string);
    get serviceKeyInput(): string | undefined;
    private _serviceName?;
    get serviceName(): string;
    set serviceName(value: string);
    get serviceNameInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
