import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface LogsIntegrationPipelineConfig extends cdktf.TerraformMetaArguments {
    /**
    * Boolean value to enable your pipeline.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/logs_integration_pipeline#is_enabled LogsIntegrationPipeline#is_enabled}
    */
    readonly isEnabled?: boolean | cdktf.IResolvable;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/datadog/r/logs_integration_pipeline datadog_logs_integration_pipeline}
*/
export declare class LogsIntegrationPipeline extends cdktf.TerraformResource {
    static readonly tfResourceType = "datadog_logs_integration_pipeline";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/datadog/r/logs_integration_pipeline datadog_logs_integration_pipeline} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options LogsIntegrationPipelineConfig = {}
    */
    constructor(scope: Construct, id: string, config?: LogsIntegrationPipelineConfig);
    get id(): string;
    private _isEnabled?;
    get isEnabled(): boolean | cdktf.IResolvable;
    set isEnabled(value: boolean | cdktf.IResolvable);
    resetIsEnabled(): void;
    get isEnabledInput(): boolean | cdktf.IResolvable | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
