import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface RoleConfig extends cdktf.TerraformMetaArguments {
    /**
    * Name of the role.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/role#name Role#name}
    */
    readonly name: string;
    /**
    * permission block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/role#permission Role#permission}
    */
    readonly permission?: RolePermission[] | cdktf.IResolvable;
}
export interface RolePermission {
    /**
    * ID of the permission to assign.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/role#id Role#id}
    */
    readonly id: string;
}
export declare function rolePermissionToTerraform(struct?: RolePermission | cdktf.IResolvable): any;
/**
* Represents a {@link https://www.terraform.io/docs/providers/datadog/r/role datadog_role}
*/
export declare class Role extends cdktf.TerraformResource {
    static readonly tfResourceType = "datadog_role";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/datadog/r/role datadog_role} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options RoleConfig
    */
    constructor(scope: Construct, id: string, config: RoleConfig);
    get id(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string | undefined;
    get userCount(): number;
    private _permission?;
    get permission(): RolePermission[] | cdktf.IResolvable;
    set permission(value: RolePermission[] | cdktf.IResolvable);
    resetPermission(): void;
    get permissionInput(): cdktf.IResolvable | RolePermission[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
