import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface SecurityMonitoringDefaultRuleConfig extends cdktf.TerraformMetaArguments {
    /**
    * Enable the rule.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/security_monitoring_default_rule#enabled SecurityMonitoringDefaultRule#enabled}
    */
    readonly enabled?: boolean | cdktf.IResolvable;
    /**
    * case block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/security_monitoring_default_rule#case SecurityMonitoringDefaultRule#case}
    */
    readonly case?: SecurityMonitoringDefaultRuleCase[] | cdktf.IResolvable;
    /**
    * filter block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/security_monitoring_default_rule#filter SecurityMonitoringDefaultRule#filter}
    */
    readonly filter?: SecurityMonitoringDefaultRuleFilter[] | cdktf.IResolvable;
}
export interface SecurityMonitoringDefaultRuleCase {
    /**
    * Notification targets for each rule case.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/security_monitoring_default_rule#notifications SecurityMonitoringDefaultRule#notifications}
    */
    readonly notifications: string[];
    /**
    * Status of the rule case to match. Valid values are `info`, `low`, `medium`, `high`, `critical`.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/security_monitoring_default_rule#status SecurityMonitoringDefaultRule#status}
    */
    readonly status: string;
}
export declare function securityMonitoringDefaultRuleCaseToTerraform(struct?: SecurityMonitoringDefaultRuleCase | cdktf.IResolvable): any;
export interface SecurityMonitoringDefaultRuleFilter {
    /**
    * The type of filtering action. Allowed enum values: require, suppress Valid values are `require`, `suppress`.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/security_monitoring_default_rule#action SecurityMonitoringDefaultRule#action}
    */
    readonly action: string;
    /**
    * Query for selecting logs to apply the filtering action.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/datadog/r/security_monitoring_default_rule#query SecurityMonitoringDefaultRule#query}
    */
    readonly query: string;
}
export declare function securityMonitoringDefaultRuleFilterToTerraform(struct?: SecurityMonitoringDefaultRuleFilter | cdktf.IResolvable): any;
/**
* Represents a {@link https://www.terraform.io/docs/providers/datadog/r/security_monitoring_default_rule datadog_security_monitoring_default_rule}
*/
export declare class SecurityMonitoringDefaultRule extends cdktf.TerraformResource {
    static readonly tfResourceType = "datadog_security_monitoring_default_rule";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/datadog/r/security_monitoring_default_rule datadog_security_monitoring_default_rule} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options SecurityMonitoringDefaultRuleConfig = {}
    */
    constructor(scope: Construct, id: string, config?: SecurityMonitoringDefaultRuleConfig);
    private _enabled?;
    get enabled(): boolean | cdktf.IResolvable;
    set enabled(value: boolean | cdktf.IResolvable);
    resetEnabled(): void;
    get enabledInput(): boolean | cdktf.IResolvable | undefined;
    get id(): string;
    private _case?;
    get case(): SecurityMonitoringDefaultRuleCase[] | cdktf.IResolvable;
    set case(value: SecurityMonitoringDefaultRuleCase[] | cdktf.IResolvable);
    resetCase(): void;
    get caseInput(): cdktf.IResolvable | SecurityMonitoringDefaultRuleCase[] | undefined;
    private _filter?;
    get filter(): SecurityMonitoringDefaultRuleFilter[] | cdktf.IResolvable;
    set filter(value: SecurityMonitoringDefaultRuleFilter[] | cdktf.IResolvable);
    resetFilter(): void;
    get filterInput(): cdktf.IResolvable | SecurityMonitoringDefaultRuleFilter[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
